<template>
	<el-row class="saleOpration">
		<!-- <el-tabs class="marginTop20" v-model="activeName" @tab-click="handleClick"> -->
			<!-- <el-tab-pane label="基本信息" name="first"> -->
				<el-row style="margin:40px 0 20px;">业务基本信息</el-row>
				<baseInfo ref="baseInfo"></baseInfo>
			<!-- </el-tab-pane> -->
			<!-- <el-tab-pane label="应收账款" name="second"> -->
				<el-row style="margin:60px 0 20px;">应收账款信息</el-row>
				<accountReceivable ref="receivable"></accountReceivable>
			<!-- </el-tab-pane> -->
			<!-- <el-tab-pane label="合同签署" name="third" v-if="$route.query.businessId"> -->
				<el-row style="margin:60px 0 20px;">合同签署信息</el-row>
				<contractSign ref="contractSign"></contractSign>
			<!-- </el-tab-pane> -->
			<!-- <el-tab-pane label="共/托管账户" name="fourth" v-if="$route.query.businessId">
				<depositeAccount></depositeAccount>
			</el-tab-pane>
			<el-tab-pane label="放款" name="fifth" v-if="$route.query.businessId">
				<makeLoans></makeLoans>
			</el-tab-pane>
			<el-tab-pane label="还款" name="sixth" v-if="$route.query.businessId">
				<repayment></repayment>
			</el-tab-pane> -->
		<!-- </el-tabs> -->
		<el-dialog title="还款登记" :visible.sync="dialogRepayVisible">
			<el-form :model="form">
				<el-row>
					<el-col :span="12" :offset="6">
						<el-form-item label="还款金额">
							<el-input
								v-model="form.amount"
								style="width:21.25rem;"
								autocomplete="off"
								placeholder="请输入还款金额"
							></el-input>
						</el-form-item>
					</el-col>
				</el-row>
				<el-row>
					<el-col :span="12" :offset="6">
						<el-form-item label="还款日期">
							<el-date-picker
								value-format="yyyyMMdd"
								v-model="form.repayDate"
								type="date"
								placeholder="选择日期"
							></el-date-picker>
						</el-form-item>
					</el-col>
				</el-row>
				<el-row>
					<el-col :span="12" :offset="6">
						<el-form-item label="电子回单">
							<ootecoUpload :conf="repayOrderUpload"></ootecoUpload>
						</el-form-item>
					</el-col>
				</el-row>
			</el-form>
			<div slot="footer" class="dialog-footer flexHcenter">
				<el-button @click="dialogRepayVisible = false">取 消</el-button>
				<el-button type="primary" @click="repayLogConfirm">确 定</el-button>
			</div>
		</el-dialog>
		<faceDialog ref="faceDialog" :conf="faceConf"></faceDialog>
	</el-row>
</template>

<script>
import baseInfo from './subComponents/saleBaseInfo'
import accountReceivable from './subComponents/accountReceivable'
import repayment from './subComponents/repayment'
import contractSign from './subComponents/contractSign'
import depositeAccount from './subComponents/depositeAccount'
import makeLoans from './subComponents/makeLoans'
import ootecoUpload from '@com/ooteco_upload'
import faceDialog from '@com/ooteco_face_dialog'
import { sub_title } from '../../stores/sub_title'
export default {
	mixins: [$mixin],
	components: {
		baseInfo,
		accountReceivable,
		repayment,
		contractSign,
		depositeAccount,
		makeLoans,
		ootecoUpload,
		faceDialog
	},
	data() {
		return {
			dialogRepayVisible: false,
			outerVisible: false,
			innerVisible: false,
			activeName: 'first',
			form: {
				amount: '',
				repayDate: ''
			},
			repayOrderUpload: {
				url: '',
				type: 'button',
				class: 2
			},
			faceConf: {
				option: {
					companyCode: '',
					contractCode: '',
					type: 2
				}
			}
		}
	},
	created() {
		this.faceConf.option.companyCode = this.userInfo.companyCode
	},
	watch: {
		activeName(val) {
			// this.initButtons()
		}
	},
	methods: {
		repayLogConfirm() {
			let [formData, condition] = [new FormData(), false]
			this.form.businessId = this.$route.query.businessId
			for (const key in this.form) {
				if (!this.form[key]) {
					condition = true
				}

				formData.append(key, this.form[key])
			}
			if (condition || !this.repayOrderUpload.file) {
				this.alert('请完善信息')
				return false
			}
			formData.append('repayFiles', this.repayOrderUpload.file)
			this.$http
				.post({
					url: 'biz/add/repay',
					params: formData
				})
				.then(
					({ data }) => {
						this.alert('操作成功')
					},
					msg => {
						this.alert(msg)
					}
				)
		},
		handleClick() {},
		// initButtons() {
		// 	let title = this.$store.state.sub_title['saleOpration']
		// 	if (this.$route.query.businessId) {
		// 		this.$set(
		// 			title,
		// 			'buttons',
		// 			sub_title['saleOpration'].buttons.slice(1, 4)
		// 		)
		// 		this.$set(title, 'title', '业务详情')
		// 	} else {
		// 		this.$set(title, 'buttons', [sub_title['saleOpration'].buttons[0]])
		// 	}
		// },
		initData() {
			if (!this.$route.query.businessId) {
				return false
			}

			this.$http
				.get({
					url: 'biz/select/detail',
					params: {
						businessId: this.$route.query.businessId
					}
				})
				.then(
					({ data }) => {
						this.$refs.baseInfo.form = data
					},
					msg => {
						this.alert(msg)
					}
				)
		},
		initListen() {

			this.listen('servicePackageDowmload', () => {
                this.$http
                    .get({
                        url: 'file/biz/download',
                        params: {
                            businessId: this.$route.query.businessId
                        }
                    })
                    .then(
                        ({ data }) => {
                            utils.downLoadFile(data.url)
                        },
                        msg => {
                            this.alert(msg)
                        }
                    )
			})
		}
	},
	mounted() {
		// this.initButtons()
		this.initListen()
	},
	beforeRouteEnter(to, from, next) {
		next(vm => {
			if (vm.$route.query.activeName) {
				vm.activeName = vm.$route.query.activeName
			}
			vm.initData()
		})
	}
}
</script>

<style lang="less">
.saleOpration {
	.el-tabs__nav-wrap {
		padding-right: 1.25rem;
		display: inline-block;
	}

	.el-table {
		background: none;
	}
	.el-table th,
	.el-table tr {
		background: none;
	}
}
</style>
